For the complete documentation index, see llms.txt. This page is also available as Markdown.

Files

Listar arquivos por status (paginacao seek-based)

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
solutionIdstringOpcional
lastSeekIdstringOpcional
limitinteger · int32Opcional
Respostas
200

Files listed successfully

application/json
get/files
GET /api/files/files HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "organization_id": "123e4567-e89b-12d3-a456-426614174000",
      "solution_id": "text",
      "url": "text",
      "status": "PENDING",
      "content_type": "APPLICATION_OCTET_STREAM",
      "content_length": 1,
      "created_by": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_by": "text",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "pagination": {
    "has_next": true,
    "last_seek_id": "123e4567-e89b-12d3-a456-426614174000"
  }
}

Criar arquivos

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
solution_idstringOpcional
Respostas
201

Files created successfully

application/json
post/files
POST /api/files/files HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 112

{
  "solution_id": "text",
  "files": [
    {
      "content_type": "APPLICATION_OCTET_STREAM",
      "external_url": "text",
      "name": "text"
    }
  ]
}
{
  "files": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "organization_id": "123e4567-e89b-12d3-a456-426614174000",
      "solution_id": "text",
      "url": "text",
      "status": "PENDING",
      "content_type": "APPLICATION_OCTET_STREAM",
      "content_length": 1,
      "created_by": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_by": "text",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Buscar arquivos

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
idsstring · uuid[]Opcional
Respostas
200

Files queried successfully

application/json
post/files/query
POST /api/files/files/query HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48

{
  "ids": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}
{
  "files": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "organization_id": "123e4567-e89b-12d3-a456-426614174000",
      "solution_id": "text",
      "url": "text",
      "status": "PENDING",
      "content_type": "APPLICATION_OCTET_STREAM",
      "content_length": 1,
      "created_by": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_by": "text",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}

Obter arquivo

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
fileIdstringObrigatório
Respostas
200

File retrieved successfully

application/json
idstring · uuidOpcional
namestringOpcional
organization_idstring · uuidOpcional
solution_idstringOpcional
urlstringOpcional
statusstring · enumOpcionalValores possíveis:
content_typestring · enumOpcionalValores possíveis:
content_lengthinteger · int64Opcional
created_bystringOpcional
created_atstring · date-timeOpcional
updated_bystringOpcional
updated_atstring · date-timeOpcional
get/files/{fileId}
GET /api/files/files/{fileId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "organization_id": "123e4567-e89b-12d3-a456-426614174000",
  "solution_id": "text",
  "url": "text",
  "status": "PENDING",
  "content_type": "APPLICATION_OCTET_STREAM",
  "content_length": 1,
  "created_by": "text",
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_by": "text",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Obter conteúdo do arquivo

get
Parâmetros de rota
fileIdstringObrigatório
Parâmetros de consulta
jwtstringObrigatório
Respostas
302

Redirected to file content url

Sem conteúdo

get/files/{fileId}/content
GET /api/files/files/{fileId}/content?jwt=text HTTP/1.1
Host: api.zydon.com.br
Accept: */*

Sem conteúdo

Atualizado